> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Aegister Threat Blocker traffic logs

> Retrieve Threat Blocker traffic logs from the Web Application.

You can retrieve only Threat Blocker traffic logs for organizations you can manage.



## OpenAPI

````yaml get /api/v1/atb/{id}/traffic
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/atb/{id}/traffic:
    get:
      tags:
        - atb
      description: >-
        Retrieve Threat Blocker traffic logs from the Web Application.


        You can retrieve only Threat Blocker traffic logs for organizations you
        can manage.
      operationId: atb_traffic_retrieve
      parameters:
        - in: query
          name: actions[]
          schema:
            type: array
            items:
              type: string
          description: Filter results by action value
        - in: query
          name: export
          schema:
            type: string
          description: Export format for the result
          examples:
            Default:
              value: ''
              summary: default
              description: Returns default JSON
            Csv:
              value: csv
              summary: csv
              description: Export as csv
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - in: query
          name: limit
          schema:
            type: number
            default: 10
          description: Max number of reponse items.
        - in: query
          name: offset
          schema:
            type: number
            default: 0
          description: Offset response items.
        - in: query
          name: order
          schema:
            type: string
          description: 'Order results by item field, '
          examples:
            IdDesc:
              value: '-id'
              summary: id desc
              description: Order by id desc
            IdAsc:
              value: id
              summary: id asc
              description: Order by id asc
        - in: query
          name: search
          schema:
            type: string
          description: Filter results by search term
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: ATB Traffic Log unique identifier.
                          minimum: 1
                        date_time:
                          type: string
                          format: date-time
                          description: Timestamp of the created Traffic Log.
                        type:
                          type: string
                          description: |-
                            The type of the traffic log parsed.  
                            For now only `sophos` and `fortigate` are supported.
                          enum:
                            - sophos
                            - fortigate
                        src_ip:
                          type: string
                          format: ipv4
                          description: Parsed source IP from the Traffic Log.
                          examples:
                            - 22.33.44.55
                            - 4.5.6.7
                        dest_ip:
                          type: string
                          format: ipv4
                          description: Parsed destination IP from the Traffic Log.
                          examples:
                            - 192.168.1.50
                            - 172.16.20.20
                        dest_port:
                          type: string
                          description: Parsed destination Port from the Traffic Log.
                          examples:
                            - '443'
                            - '80'
                            - '3306'
                            - '465'
                        log_message:
                          type: string
                          description: Raw message from the Traffic Log.
                          examples:
                            - >-
                              <30>device_name=SFW
                              timestamp=2024-07-10T05:26:30+0200
                              device_model=XGS100 device_serial_id=X111111111111
                              log_id=000000001111 log_type=Firewall
                              log_component=Firewall Rule log_subtype=Allowed
                              log_version=1 severity=Information fw_rule_id=27
                        extra:
                          type: object
                          description: >-
                            This object contains other parsed elements from the
                            Traffic Log raw message.
                          examples:
                            - log_id: '000000001111'
                              log_type: Firewall
                              severity: Information
                              timestamp: 2024-06-17T05:26:30+0200
                              fw_rule_id: '27'
                              log_subtype: Allowed
                              log_version: '1'
                              device_model: XGS100
                              log_component: Firewall
                              <30>device_name: SFW
                              device_serial_id: X111111111111
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Malformed data structure
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````